Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 812)
+++ inc/admin/lib.dc.page.php	(revision 680)
@@ -124,5 +124,5 @@
 		
 		'<div id="header">'.
-		'<ul id="prelude"><li><a href="#content">'.__('Go to the content').'</a></li><li><a href="#main-menu">'.__('Go to the menu').'</a></li></ul>'."\n".
+		'<ul id="prelude"><li><a href="#content">Aller au contenu</a></li><li><a href="#main-menu">Aller au menu</a></li></ul>'."\n".
 		'<div id="top"><h1><a href="index.php">'.DC_VENDOR_NAME.'</a></h1></div>'."\n";	
 		
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 821)
+++ inc/admin/prepend.php	(revision 692)
@@ -215,7 +215,4 @@
 	}
 	unset($hfiles,$locales_root);
-
-	$core->auth->user_prefs->addWorkspace('interface');
-	$user_ui_nofavmenu = $core->auth->user_prefs->interface->nofavmenu;
 
 	# Standard favorites
@@ -269,6 +266,5 @@
 	# Menus creation
 	$_menu['Dashboard'] = new dcMenu('dashboard-menu',null);
-	if (!$user_ui_nofavmenu)
-		$_menu['Favorites'] = new dcMenu('favorites-menu','My favorites');
+	$_menu['Favorites'] = new dcMenu('favorites-menu','My favorites');
 	$_menu['Blog'] = new dcMenu('blog-menu','Blog');
 	$_menu['System'] = new dcMenu('system-menu','System');
@@ -286,6 +282,5 @@
 	$_menu['Blog']->title = __('Blog');
 	$_menu['Plugins']->title = __('Plugins');
-	if (!$user_ui_nofavmenu)
-		$_menu['Favorites']->title = __('My favorites');
+	$_menu['Favorites']->title = __('My favorites');
 
 /*	
@@ -338,38 +333,36 @@
 		$core->auth->check('usage,contentadmin',$core->blog->id) && $core->auth->blog_count > 1);
 
-	if (!$user_ui_nofavmenu) {
-		// Set favorites menu
-		$ws = $core->auth->user_prefs->addWorkspace('favorites');
-		$count = 0;
+	// Set favorites menu
+	$ws = $core->auth->user_prefs->addWorkspace('favorites');
+	$count = 0;
+	foreach ($ws->dumpPrefs() as $k => $v) {
+		// User favorites only
+		if (!$v['global']) {
+			$fav = unserialize($v['value']);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
+					preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+					(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+			}
+		}
+	}	
+	if (!$count) {
+		// Global favorites if any
 		foreach ($ws->dumpPrefs() as $k => $v) {
-			// User favorites only
-			if (!$v['global']) {
-				$fav = unserialize($v['value']);
-				if (dc_valid_fav($fav['url'])) {
-					$count++;
-					$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
-						preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
-						(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-				}
-			}
-		}	
-		if (!$count) {
-			// Global favorites if any
-			foreach ($ws->dumpPrefs() as $k => $v) {
-				$fav = unserialize($v['value']);
-				if (dc_valid_fav($fav['url'])) {
-					$count++;
-					$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
-						preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
-						(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-				}
-			}
-		}
-		if (!$count) {
-			// No user or global favorites, add "new entry" fav
-			$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
-				preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
-				$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
-		}
+			$fav = unserialize($v['value']);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
+					preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+					(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+			}
+		}
+	}
+	if (!$count) {
+		// No user or global favorites, add "new entry" fav
+		$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
+			preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
+			$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
 	}
 }
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 822)
+++ inc/core/class.dc.blog.php	(revision 778)
@@ -579,5 +579,5 @@
 	{
 		if (!$this->core->auth->check('categories',$this->id)) {
-			throw new Exception(__('You are not allowed to reset categories order'));
+			throw new Exception(__('You are not allowed to delete categories'));
 		}
 		
@@ -669,9 +669,4 @@
 	public function getPosts($params=array(),$count_only=false)
 	{
-		# --BEHAVIOR-- coreBlogBeforeGetPosts
-		$params = new ArrayObject($params);
-		$this->core->callBehavior('coreBlogBeforeGetPosts',$params);
-		$params = (array)$params;
-
 		if ($count_only)
 		{
@@ -1393,5 +1388,5 @@
 		
 		$now = dt::toUTC(time());
-		$to_change = new ArrayObject;
+		$to_change = array();
 		
 		if ($rs->isEmpty()) {
@@ -1415,7 +1410,4 @@
 		if (!empty($to_change))
 		{
-			# --BEHAVIOR-- coreBeforeScheduledEntriesPublish
-			$this->core->callBehavior('coreBeforeScheduledEntriesPublish',$this,$to_change);
-
 			$strReq =
 			'UPDATE '.$this->prefix.'post SET '.
@@ -1426,9 +1418,5 @@
 			$this->con->execute($strReq);
 			$this->triggerBlog();
-
-			# --BEHAVIOR-- coreAfterScheduledEntriesPublish
-			$this->core->callBehavior('coreAfterScheduledEntriesPublish',$this,$to_change);
-		}
-		
+		}
 	}
 	
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 801)
+++ inc/prepend.php	(revision 825)
@@ -123,5 +123,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.5-dev');
+define('DC_VERSION','2.4.3');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');