Index: admin/style/candyUpload/style.css
===================================================================
--- admin/style/candyUpload/style.css	(revision 536)
+++ 	(revision )
@@ -1,113 +1,0 @@
-
-.cu-ctrl {
-	background: #f5f5f5;
-	padding: .5em 0 0 0;
-	margin: 0 0 1em 0;
-	overflow: hidden;
-}
-.cu-msg {
-	font-weight: bold;
-}
-.cu-msg.cu-error {
-	color: #c00;
-}
-.cu-files {
-	padding: 0 0.5em;
-	margin: 10px 0;
-}
-.cu-file {
-	margin: 0 0 8px 0;
-	position: relative;
-}
-.cu-fileinfo {
-	margin-left: 16px;
-}
-.cu-fileinfo span.cu-filecancel {
-	display: block;
-	position: absolute;
-	top: 2px;
-	left: 0px !important;
-	left: -16px;
-}
-.cu-filecancel a {
-	display: block;
-	width: 12px;
-	height: 12px;
-	background: transparent url(cancel.png) no-repeat top left;
-	border: none;
-	text-indent: -5000px;
-	outline: none;
-}
-.cu-filemsg {
-	font-weight: bold;
-	color: green;
-}
-span.cu-filemsg.cu-error {
-	color: #c00;
-}
-.cu-progress {
-	margin-left: 16px;
-}
-.cu-progress div {
-	height: 10px;
-	width: 0;
-	font-size: 0.8em;
-	line-height: 1em;
-	height: 1em;
-	padding: .2em 0;
-	text-align: right;
-	background: green url(loader.png) repeat-x top left;
-	color: white;
-	font-weight: bold;
-	-moz-border-radius: 2px;
-}
-.cu-btn {
-	padding: 0 0.5em;
-	line-height: 1.2em;
-	height: 1.5em;
-	margin-top: 1em;
-	position: relative;
-}
-.cu-btn span {
-	display: block;
-	margin: 0 1em 0 0;
-	float: right;
-}
-.cu-btn span a {
-	display: block;
-	padding: .3em 1.5em;
-}
-span.cu-btn-browse {
-	float: none;
-	position: absolute;
-	left: 0;
-	margin: 0;
-}
-span.cu-btn-upload, span.cu-btn-clean {
-	margin-right: 0;
-}
-span.cu-btn-upload a.button {
-	color: #fff;
-	border: 1px solid #2373A8;
-	background: #2373A8;
-	background: -webkit-gradient(linear, left top, left bottom, from(#2C8FD1), to(#2373A8));
-	background: -moz-linear-gradient(top,  #2C8FD1,  #2373A8);
-}
-span.cu-btn-upload a.button:hover, 
-span.cu-btn-upload a.button:focus {
-	color: #fff;
-	border: 1px solid #2C8FD1;
-	background: #2C8FD1;
-	background: -webkit-gradient(linear, left top, left bottom, from(#2373A8), to(#2C8FD1));
-	background: -moz-linear-gradient(top,  #2373A8,  #2C8FD1);
-	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#2373A8', endColorstr='#2C8FD1');
-}
-.cu-maxsize.form-note {
-	clear: both;
-	margin: 1.5em 0 0;
-	font-style: italic;
-}
-.cu-disable {
-	margin: 1em 0;
-	padding: 0 0 0.5em 0.5em;
-}
Index: admin/style/jsToolBar/jsToolBar.css
===================================================================
--- admin/style/jsToolBar/jsToolBar.css	(revision 3)
+++ 	(revision )
@@ -1,173 +1,0 @@
-.jstEditor {
-	border-width : 0 1px 1px 1px;
-	border-style : solid;
-	border-color : #000 #ccc #ccc #000;
-	padding-left: 5px;
-	background : #f9f9f9;
-}
-.jstEditor textarea, .jstEditor iframe {
-  margin: 0;
-  border: 0;
-}
-
-.jstHandle {
-	height: 8px;
-	background: #ccc url(resize.png) no-repeat center center;
-	font-size: 0.1em;
-	cursor: s-resize;
-	border-color: #ccc #ccc #ccc #000;
-	border-width: 0 1px 1px 1px;
-	border-style: solid;
-}
-
-.jstElements {
-	padding: 3px 3px;
-	border-width: 1px 1px 0 1px;
-	border-style: solid;
-	border-color: #000 #ccc #ccc #000;
-	background: #dfdfdf;
-}
-
-.jstElements select, .jstElements button {
-	vertical-align: middle;
-}
-.jstElements select {
-	width: 12em;
-}
-.jstElements button {
-	margin-right : 2px;
-	width : 20px;
-	height: 20px;
-	padding: 0;
-	border-style: solid;
-	border-width: 1px;
-	border-color: #dfdfdf;
-	background-color : transparent;
-	background-position : 50% 50%;
-	background-repeat: no-repeat;
-}
-.jstElements button:hover {
-	border-color : #ccc;
-	background-color: #fff;
-}
-.jstElements button span {
-	display : none;	
-}
-.jstElements span {
-	display : inline;
-}
-
-.jstSpacer {
-	width : 0px;
-	font-size: 1px;
-	margin-right: 4px;
-}
-
-.jstSwitcher {
-	display: block;
-	list-style: none;
-	margin: 0 0 0 -5px;
-	padding: 0 0 5px 0;
-	background: #dfdfdf;
-	border-top: 1px solid #999;
-	font-size: 90%;
-	font-weight: bold;
-}
-.jstSwitcher li {
-	display: inline;
-	margin: 0 0 0 5px;
-	padding: 2px 4px;
-}
-.jstSwitcher li.jstSwitcherCurrent {
-	color: #fff;
-	background: #999;
-	-moz-border-radius: 0 0 2px 2px;
-}
-.jstSwitcher a {
-	font-weight: normal;
-	border-bottom: none !important;
-}
-
-/* Buttons
--------------------------------------------------------- */
-.jstb_strong {
-	background-image: url(bt_strong.png);
-}
-.jstb_em {
-	background-image: url(bt_em.png);
-}
-.jstb_ins {
-	background-image: url(bt_ins.png);
-}
-.jstb_del {
-	background-image: url(bt_del.png);
-}
-.jstb_quote {
-	background-image: url(bt_quote.png);
-}
-.jstb_code {
-	background-image: url(bt_code.png);
-}
-.jstb_paragraph {
-	background-image: url(bt_paragraph.png);
-}
-.jstb_br {
-	background-image: url(bt_br.png);
-}
-.jstb_blockquote {
-	background-image: url(bt_bquote.png);
-}
-.jstb_pre {
-	background-image: url(bt_pre.png);
-}
-.jstb_ul {
-	background-image: url(bt_ul.png);
-}
-.jstb_ol {
-	background-image: url(bt_ol.png);
-}
-.jstb_link {
-	background-image: url(bt_link.png);
-}
-.jstb_img {
-	background-image: url(bt_img.png);
-}
-.jstb_img_select {
-	background-image: url(bt_img_select.png);
-}
-.jstb_post_link {
-	background-image: url(bt_post.png);
-}
-.jstb_removeFormat {
-	background-image: url(bt_clean.png);
-}
-
-
-/* WYSIWYG Iframe */
-.wysiwygIframe {
-	border-width : 1px;
-	border-style : solid;
-	border-color : #000 #ccc #ccc #000;
-	width : 100%;
-}
-
-/* WYSIWYG Document */
-body.wysiwygDoc {
-	font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
-	color : #000;
-	background: #f9f9f9;
-	margin: 0;
-	padding : 2px;
-	border: none;
-}
-.wysiwygDoc pre, .wysiwygDoc code, .wysiwygDoc kbd, .wysiwygDoc samp {
-	font-family:"Courier New",Courier,monospace;
-	font-size : 1.1em;
-}
-.wysiwygDoc code {
-	color : #666;
-	font-weight : bold;
-}
-body.wysiwygDoc  > p:first-child {
-	margin-top: 0;
-}