Index: locales/ru/date.po
===================================================================
--- locales/ru/date.po	(revision 221)
+++ locales/ru/date.po	(revision 3272)
@@ -7,12 +7,13 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-04-15 16:27+0200\n"
-"PO-Revision-Date: 2011-04-12 19:14+0200\n"
-"Last-Translator: Ihar <chi27@open.by>\n"
+"PO-Revision-Date: 2016-07-18 15:53+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: \n"
-"Language: \n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: French\n"
+"X-Generator: Poedit 1.8.8\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 msgid "%Y-%m-%d %H:%M"
Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 2807)
+++ locales/ru/main.po	(revision 3272)
@@ -8,15 +8,14 @@
 "Project-Id-Version: main\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-11-20 19:50+0100\n"
-"PO-Revision-Date: 2011-04-12 17:48+0200\n"
-"Last-Translator: Ihar <chi27@open.by>\n"
+"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"PO-Revision-Date: 2016-07-18 15:53+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: ru_RU <en@li.org>\n"
-"Language: \n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Russian\n"
-"X-Generator: KBabel 1.11.4\n"
-"X-Poedit-Country: BELARUS\n"
+"X-Generator: Poedit 1.8.8\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 msgid "Dotclear has been upgraded."
@@ -328,4 +327,11 @@
 msgstr "Формат URL новых записей:"
 
+#, fuzzy
+msgid "Dotclear"
+msgstr "Команда разработчиков DotClear"
+
+msgid "Sample:"
+msgstr ""
+
 msgid "HTML tag for the title of the notes on the blog:"
 msgstr ""
@@ -396,7 +402,4 @@
 msgstr ""
 
-msgid "Sample:"
-msgstr ""
-
 msgid "Time format:"
 msgstr "Формат времени:"
@@ -407,4 +410,7 @@
 msgid "Display smilies on entries and comments"
 msgstr "Показывать смайлы в записях и комментариях"
+
+msgid "Disable internal search system"
+msgstr ""
 
 #, fuzzy, php-format
@@ -441,4 +447,36 @@
 msgid "Generated image sizes (in pixels)"
 msgstr "Размер генерированных изображений (в пикселях)"
+
+#, fuzzy
+msgid "Thumbnail"
+msgstr "Уменьшенное изображение:"
+
+#, fuzzy
+msgid "Small"
+msgstr "Маленький:"
+
+#, fuzzy
+msgid "Medium"
+msgstr "Средний:"
+
+msgid "Default size of the inserted video (in pixels)"
+msgstr ""
+
+#, fuzzy
+msgid "Width"
+msgstr "Ширина:"
+
+#, fuzzy
+msgid "Height"
+msgstr "высота"
+
+msgid "Flash player"
+msgstr ""
+
+msgid "Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media"
+msgstr ""
+
+msgid "For flv video, the Flash player will be anyway inserted."
+msgstr ""
 
 msgid "Default image insertion attributes"
@@ -552,4 +590,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, php-format
@@ -587,4 +626,8 @@
 msgid "You can install themes by uploading or downloading zip files."
 msgstr "Вы можете установить темы загрузив файлы zip."
+
+#, fuzzy
+msgid "Some functions are disabled, please give write access to your themes directory to enable them."
+msgstr "Чтобы активировать эту фукнцию, пожалуйста, предоставьте права доступа на запись для директории плагинов."
 
 msgid "Last update"
@@ -660,4 +703,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, fuzzy
@@ -668,4 +712,8 @@
 msgid "Blog id"
 msgstr "Название блога"
+
+#, fuzzy
+msgid "URL"
+msgstr "URL:"
 
 #, fuzzy
@@ -696,5 +744,5 @@
 
 #, fuzzy
-msgid "Category where to move posts does not exist"
+msgid "Category where to move entries does not exist"
 msgstr "Эта категория не существует."
 
@@ -718,4 +766,5 @@
 msgstr[0] "Категория была успешно удалена."
 msgstr[1] "Категория была успешно удалена."
+msgstr[2] ""
 
 #, fuzzy
@@ -738,4 +787,5 @@
 msgstr[0] "Записи (%d)"
 msgstr[1] "Записи (%d)"
+msgstr[2] ""
 
 msgid "total:"
@@ -913,4 +963,11 @@
 msgstr "Автор"
 
+msgid "IP"
+msgstr ""
+
+#, fuzzy
+msgid "Spam filter"
+msgstr "фильтр"
+
 #, fuzzy
 msgid "Selected comments have been successfully updated."
@@ -971,4 +1028,5 @@
 msgstr[0] "Модуль iconv не доступен."
 msgstr[1] "Модуль iconv не доступен."
+msgstr[2] ""
 
 #, fuzzy
@@ -1065,6 +1123,6 @@
 msgstr "сохранить и опубликовать"
 
-#, php-format
-msgid "PHP version is %s (5.0 or earlier needed)."
+#, fuzzy, php-format
+msgid "PHP version is %s (5.3 or earlier needed)."
 msgstr "Версия PHP %s (необходима версия 5.0 или более новая)."
 
@@ -1235,4 +1293,8 @@
 msgstr "По вышеуказанным причинам, Dotclear не установлен. Пожалуйста почитайте < href=\"http://dotclear.org/documentation/2.0/admin/install\">Му-му(документацию)n</a>, чтобы узнать как решить проблему."
 
+#, fuzzy, php-format
+msgid "Cannot write \"%s\" directory."
+msgstr "Невозможно выполнить запись в эту директорию."
+
 #, php-format
 msgid "File %s does not exist."
@@ -1276,4 +1338,7 @@
 msgstr ""
 
+msgid "SQLite"
+msgstr ""
+
 msgid "Database Host Name:"
 msgstr "Адрес базы данных:"
@@ -1393,4 +1458,8 @@
 msgid "By dates, in descending order"
 msgstr "По дате, в порядке убывания"
+
+#, fuzzy
+msgid "Not a valid directory"
+msgstr "Неверный файл"
 
 #, fuzzy, php-format
@@ -1406,4 +1475,5 @@
 msgstr[0] "Блог был успешно удален."
 msgstr[1] "Блог был успешно удален."
+msgstr[2] ""
 
 msgid "Directory has been successfully removed."
@@ -1433,4 +1503,20 @@
 msgstr "да"
 
+#, fuzzy, php-format
+msgid "%s file found"
+msgid_plural "%s files found"
+msgstr[0] "найдено записей: %d"
+msgstr[1] "найдено записей: %d"
+msgstr[2] ""
+
+msgid "Remove this folder from your favorites"
+msgstr ""
+
+msgid "Add this folder to your favorites"
+msgstr ""
+
+msgid "Goto recent folder:"
+msgstr ""
+
 #, fuzzy
 msgid "You do not have sufficient permissions to write to this folder."
@@ -1446,6 +1532,30 @@
 msgstr "Zip файл успешно распакован."
 
-#, php-format
-msgid "Choose a file to attach to entry %s by clicking on %s."
+#, fuzzy, php-format
+msgid "Select a file by clicking on %s"
+msgstr "Выберите файл для добавления к записи, кликнув по %s."
+
+#, fuzzy
+msgid "Select this file"
+msgstr "Удалить этот блог"
+
+#, fuzzy
+msgid "Choose selected medias"
+msgstr "Откатить к выбранному файлу"
+
+#, php-format
+msgid "Select files and click on <strong>%s</strong> button"
+msgstr ""
+
+#, fuzzy
+msgid "or"
+msgstr "Сортировка:"
+
+#, fuzzy
+msgid "upload a new file"
+msgstr "Загрузить файл zip"
+
+#, fuzzy, php-format
+msgid "Choose a file to attach to entry %s by clicking on %s"
 msgstr "Выберите файл для добавления к записи %s кликнув по %s."
 
@@ -1453,6 +1563,6 @@
 msgstr "Прикрепить этот файл к записи"
 
-#, php-format
-msgid "Choose a file to insert into entry by clicking on %s."
+#, fuzzy, php-format
+msgid "Choose a file to insert into entry by clicking on %s"
 msgstr "Выберите файл для добавления к записи, кликнув по %s."
 
@@ -1461,11 +1571,32 @@
 msgstr "Откатить к выбранному файлу"
 
+msgid "Will search into media filename (including path), title and description"
+msgstr ""
+
 msgid "No file."
 msgstr "Нет файла."
 
+#, fuzzy
+msgid "Grid display mode"
+msgstr "Отображаемое имя"
+
+#, fuzzy
+msgid "List display mode"
+msgstr "Отображаемое имя"
+
 msgid "Sort files:"
 msgstr "Сортировать файлы:"
 
 msgid "Number of elements displayed per page:"
+msgstr ""
+
+#, fuzzy
+msgid "Media list"
+msgstr "Детали медиа файла"
+
+msgid "Name"
+msgstr "Имя"
+
+msgid "Size"
 msgstr ""
 
@@ -1532,14 +1663,14 @@
 msgstr "Настройки"
 
+msgid "Insert this file into entry"
+msgstr "Вставить этот файл в запись"
+
+#, fuzzy
+msgid "delete"
+msgstr "Удалить"
+
 msgid "open"
 msgstr "открыть"
 
-msgid "Insert this file into entry"
-msgstr "Вставить этот файл в запись"
-
-#, fuzzy
-msgid "delete"
-msgstr "Удалить"
-
 msgid "Not a valid file"
 msgstr "Неверный файл"
@@ -1559,10 +1690,18 @@
 msgstr "Вы уверены, что хотите удалить этот комментарий?"
 
+#, fuzzy
+msgid "Select media item"
+msgstr "Добавить медиа"
+
+msgid "Image size:"
+msgstr "Размер изображения:"
+
+#, fuzzy
+msgid "Select"
+msgstr "Выбранный:"
+
 msgid "Insert media item"
 msgstr "Добавить медиа"
 
-msgid "Image size:"
-msgstr "Размер изображения:"
-
 msgid "Image alignment"
 msgstr "Выравнивание изображения"
@@ -1614,4 +1753,22 @@
 msgstr "Доступные размеры:"
 
+#, fuzzy
+msgid "Thumbnail details"
+msgstr "Уменьшенное изображение:"
+
+#, fuzzy
+msgid "Image width:"
+msgstr "Размер изображения:"
+
+#, fuzzy
+msgid "Image height:"
+msgstr "Выравнивание изображения"
+
+msgid "File size:"
+msgstr "Размер файла:"
+
+msgid "File URL:"
+msgstr "URL файла:"
+
 msgid "File owner:"
 msgstr "Владелец файла:"
@@ -1619,10 +1776,4 @@
 msgid "File type:"
 msgstr "Тип файла:"
-
-msgid "File size:"
-msgstr "Размер файла:"
-
-msgid "File URL:"
-msgstr "URL файла:"
 
 msgid "Show entries containing this media"
@@ -1741,4 +1892,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, fuzzy
@@ -2030,4 +2182,11 @@
 msgstr "не выбранный"
 
+msgid "Opened"
+msgstr ""
+
+#, fuzzy
+msgid "Closed"
+msgstr "закрыть"
+
 #, fuzzy
 msgid "With attachments"
@@ -2039,4 +2198,12 @@
 
 #, fuzzy
+msgid "With password"
+msgstr "Пароль записи:"
+
+#, fuzzy
+msgid "Without password"
+msgstr "ваш пароль"
+
+#, fuzzy
 msgid "Number of comments"
 msgstr "Количество записей"
@@ -2054,4 +2221,8 @@
 msgstr "Уменьшенные изображения обновлены."
 
+#, fuzzy
+msgid "Format:"
+msgstr "Формат дат:"
+
 msgid "Selected:"
 msgstr "Выбранный:"
@@ -2068,4 +2239,12 @@
 
 #, fuzzy
+msgid "Comments:"
+msgstr "Комментарии"
+
+#, fuzzy
+msgid "Trackbacks:"
+msgstr "Пинги"
+
+#, fuzzy
 msgid "entries per page"
 msgstr "Записей на странице"
@@ -2074,4 +2253,7 @@
 msgstr "Действия над выбранными записями:"
 
+msgid "Posts"
+msgstr ""
+
 msgid "If you want to change your email or password you must provide your current password."
 msgstr "Если вы хотите ваш email или пароль, то вы должны ввести свой текущий пароль."
@@ -2162,8 +2344,17 @@
 msgstr ""
 
+msgid "Number of recent folders proposed in media manager:"
+msgstr ""
+
+msgid "Leave empty to ignore, displayed only if Javascript is enabled in your browser."
+msgstr ""
+
 msgid "Do not use standard favicon"
 msgstr ""
 
 msgid "This will be applied for all users"
+msgstr ""
+
+msgid "Optional columns displayed in lists"
 msgstr ""
 
@@ -2192,4 +2383,7 @@
 msgstr "Активировать режим WYSIWYG"
 
+msgid "Display editor's toolbar at bottom of textarea (if possible)"
+msgstr ""
+
 #, fuzzy
 msgid "Other options"
@@ -2252,4 +2446,8 @@
 msgstr "Панель инструментов"
 
+#, fuzzy
+msgid "Display dashboard icons"
+msgstr "Панель инструментов"
+
 msgid "Iconset:"
 msgstr ""
@@ -2517,7 +2715,17 @@
 msgstr "отметить как нежелательный"
 
+msgid "Blacklist IP"
+msgstr ""
+
+msgid "Blacklist IP (global)"
+msgstr ""
+
 #, fuzzy
 msgid "No comment selected"
 msgstr "Нет комментариев"
+
+#, fuzzy
+msgid "IP addresses for selected comments have been blacklisted."
+msgstr "Комментарий успешно обновлен."
 
 #, fuzzy
@@ -2563,4 +2771,5 @@
 msgstr[0] "Запись упешно отредактирована"
 msgstr[1] "Запись упешно отредактирована"
+msgstr[2] ""
 
 #, fuzzy, php-format
@@ -2569,4 +2778,5 @@
 msgstr[0] "Запись успешно создана."
 msgstr[1] "Запись успешно создана."
+msgstr[2] ""
 
 #, fuzzy, php-format
@@ -2575,4 +2785,5 @@
 msgstr[0] "Запись успешно создана."
 msgstr[1] "Запись успешно создана."
+msgstr[2] ""
 
 #, fuzzy, php-format
@@ -2581,4 +2792,5 @@
 msgstr[0] "Тема удалена."
 msgstr[1] "Тема удалена."
+msgstr[2] ""
 
 #, fuzzy, php-format
@@ -2587,4 +2799,5 @@
 msgstr[0] "Запись упешно отредактирована"
 msgstr[1] "Запись упешно отредактирована"
+msgstr[2] ""
 
 msgid "Change category for this selection"
@@ -2603,4 +2816,5 @@
 msgstr[0] "Запись успешно создана."
 msgstr[1] "Запись успешно создана."
+msgstr[2] ""
 
 msgid "Change author for this selection"
@@ -2615,4 +2829,5 @@
 msgstr[0] "Запись упешно отредактирована"
 msgstr[1] "Запись упешно отредактирована"
+msgstr[2] ""
 
 #, fuzzy
@@ -2638,4 +2853,5 @@
 msgstr[0] "Комментарии (%d)"
 msgstr[1] "Комментарии (%d)"
+msgstr[2] ""
 
 msgid "Change blog"
@@ -2930,4 +3146,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, fuzzy
@@ -2940,4 +3157,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 msgid "no results"
@@ -2951,7 +3169,4 @@
 msgstr "Плагины"
 
-msgid "Name"
-msgstr "Имя"
-
 msgid "Score"
 msgstr ""
@@ -2963,4 +3178,11 @@
 msgid "Current version"
 msgstr "установить права доступа"
+
+#, php-format
+msgid "This module cannot be disabled nor deleted, since the following modules are also enabled : %s"
+msgstr ""
+
+msgid "This module cannot be enabled, because of the following reasons :"
+msgstr ""
 
 msgid "Plugin from official distribution"
@@ -3025,4 +3247,5 @@
 msgstr[0] "Плагин был успешно удален."
 msgstr[1] "Плагин был успешно удален."
+msgstr[2] ""
 
 #, fuzzy
@@ -3031,4 +3254,5 @@
 msgstr[0] "Плагин был успешно установлен."
 msgstr[1] "Плагин был успешно установлен."
+msgstr[2] ""
 
 #, fuzzy
@@ -3037,4 +3261,5 @@
 msgstr[0] "Плагин был успешно установлен."
 msgstr[1] "Плагин был успешно установлен."
+msgstr[2] ""
 
 #, fuzzy
@@ -3047,4 +3272,5 @@
 msgstr[0] "Плагин был успешно удален."
 msgstr[1] "Плагин был успешно удален."
+msgstr[2] ""
 
 #, fuzzy
@@ -3053,4 +3279,5 @@
 msgstr[0] "Плагин был успешно обновлен."
 msgstr[1] "Плагин был успешно обновлен."
+msgstr[2] ""
 
 #, fuzzy
@@ -3147,4 +3374,5 @@
 msgstr[0] "Тема успешно изменена."
 msgstr[1] "Тема успешно изменена."
+msgstr[2] ""
 
 msgid "Some themes have not been deactivated."
@@ -3156,4 +3384,5 @@
 msgstr[0] "Тема удалена."
 msgstr[1] "Тема удалена."
+msgstr[2] ""
 
 #, fuzzy
@@ -3170,4 +3399,5 @@
 msgstr[0] "Тема удалена."
 msgstr[1] "Тема удалена."
+msgstr[2] ""
 
 #, fuzzy
@@ -3176,4 +3406,5 @@
 msgstr[0] "Тема успешно установлена."
 msgstr[1] "Тема успешно установлена."
+msgstr[2] ""
 
 #, fuzzy
@@ -3182,4 +3413,5 @@
 msgstr[0] "Тема успешно обновлена."
 msgstr[1] "Тема успешно обновлена."
+msgstr[2] ""
 
 #, fuzzy
@@ -3221,23 +3453,55 @@
 msgstr "Нет записей"
 
-#, php-format
-msgid "List of %s entries match the filter."
-msgstr ""
+#, fuzzy, php-format
+msgid "List of %s entries matching the filter."
+msgstr "Нет заголовка записи"
+
+#, fuzzy, php-format
+msgid "List of entries (%s)"
+msgstr "Категории."
+
+#, php-format
+msgid ", <a href=\"%s\">published</a> (1)"
+msgid_plural ", <a href=\"%s\">published</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#, php-format
+msgid ", <a href=\"%s\">pending</a> (1)"
+msgid_plural ", <a href=\"%s\">pending</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#, php-format
+msgid ", <a href=\"%s\">programmed</a> (1)"
+msgid_plural ", <a href=\"%s\">programmed</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#, php-format
+msgid ", <a href=\"%s\">unpublished</a> (1)"
+msgid_plural ", <a href=\"%s\">unpublished</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#, fuzzy
+msgid "Protected"
+msgstr "защищен"
+
+#, php-format
+msgid "%d attachment"
+msgstr "%d приложение"
+
+#, php-format
+msgid "%d attachments"
+msgstr "приложений: %d"
 
 #, fuzzy
 msgid "Entries list"
 msgstr "Категории."
-
-#, fuzzy
-msgid "Protected"
-msgstr "защищен"
-
-#, php-format
-msgid "%d attachment"
-msgstr "%d приложение"
-
-#, php-format
-msgid "%d attachments"
-msgstr "приложений: %d"
 
 msgid "No comments or trackbacks matches the filter"
@@ -3249,4 +3513,16 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
+
+#, fuzzy, php-format
+msgid "List of comments and trackbacks (%s)"
+msgstr "Комментарии и пинги"
+
+#, php-format
+msgid ", <a href=\"%s\">spam</a> (1)"
+msgid_plural ", <a href=\"%s\">spam</a> (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
 msgid "Type"
@@ -3353,7 +3629,4 @@
 msgstr "квадрат"
 
-msgid "Posts"
-msgstr ""
-
 #, fuzzy
 msgid "Pages"
@@ -3543,4 +3816,24 @@
 msgid "Embedded Video Player"
 msgstr "Встроенный видио-плеер"
+
+#, php-format
+msgid "Requires %s module which is not installed"
+msgstr ""
+
+#, php-format
+msgid "Requires Dotclear version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module which is disabled"
+msgstr ""
+
+#, fuzzy
+msgid "The following extensions have been disabled :"
+msgstr "Следующие плагины были установлены:"
 
 #, php-format
@@ -3712,7 +4005,4 @@
 msgid "LOL!"
 msgstr ""
-
-msgid "SQLite Database Schema cannot be upgraded."
-msgstr "База данных SQLite не может быть обновлена."
 
 msgid "Something went wrong with auto upgrade:"
@@ -3836,4 +4126,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, php-format
@@ -3882,4 +4173,7 @@
 msgstr "При попытке чтения базы данных обнаружена следующая ошибка:"
 
+#~ msgid "SQLite Database Schema cannot be upgraded."
+#~ msgstr "База данных SQLite не может быть обновлена."
+
 #~ msgid "more information"
 #~ msgstr "больше информации"
@@ -3888,13 +4182,4 @@
 #~ msgstr "Оставить пустым, чтобы не использовать эту опцию."
 
-#~ msgid "Thumbnails:"
-#~ msgstr "Уменьшенное изображение:"
-
-#~ msgid "Small:"
-#~ msgstr "Маленький:"
-
-#~ msgid "Medium:"
-#~ msgstr "Средний:"
-
 #~ msgid "This defines image tag title when you insert it in a post from the media manager. It is retrieved from the picture's metadata."
 #~ msgstr "Это определяет подпись к изображению когда вы вставляете его в пост из медиа менеджера. Эти данные извлекаются из метаданных изображения."
@@ -3977,8 +4262,4 @@
 #~ msgstr "Некоторые плагины  установлены дважды:"
 
-#, fuzzy
-#~ msgid "Sort"
-#~ msgstr "Сортировка:"
-
 #~ msgid "New directory"
 #~ msgstr "Новая директория"
@@ -4026,7 +4307,4 @@
 #~ msgstr "Опубликовано:"
 
-#~ msgid "Entry password:"
-#~ msgstr "Пароль записи:"
-
 #~ msgid "junk"
 #~ msgstr "нежелательный"
@@ -4204,7 +4482,4 @@
 #~ msgstr "логин"
 
-#~ msgid "filter"
-#~ msgstr "фильтр"
-
 #~ msgid "View site"
 #~ msgstr "Просмотр сайта"
Index: locales/ru/plugins.po
===================================================================
--- locales/ru/plugins.po	(revision 2807)
+++ locales/ru/plugins.po	(revision 3272)
@@ -6,13 +6,14 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-11-20 19:50+0100\n"
+"POT-Creation-Date: 2016-07-18 15:41+0200\n"
 "PO-Revision-Date: \n"
-"Last-Translator: Ihar <chi27@open.by>\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: \n"
-"Language: \n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: French\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"X-Generator: Poedit 1.8.8\n"
 
 msgid "Manage every blog configuration directive"
@@ -33,4 +34,7 @@
 
 msgid "Configure your Blowup Theme"
+msgstr ""
+
+msgid "Breadcrumb for Dotclear"
 msgstr ""
 
@@ -143,4 +147,8 @@
 msgstr "Редактирования файла %s"
 
+#, fuzzy
+msgid "Setting ID"
+msgstr "Название настройки"
+
 msgid "Value"
 msgstr "Значение"
@@ -582,7 +590,4 @@
 msgstr "Порядок элементов успешно обновлен"
 
-msgid "URL"
-msgstr "URL"
-
 msgid "Lang"
 msgstr "Язык"
@@ -850,4 +855,32 @@
 msgstr "Невозможно открыть изображение."
 
+msgid "Breadcrumb"
+msgstr ""
+
+msgid "Enable breadcrumb for this blog"
+msgstr ""
+
+msgid "The {{tpl:Breadcrumb [separator=\" &amp;rsaquo; \"]}} tag should be present (or inserted if not) in the template."
+msgstr ""
+
+msgid "Do not encapsulate breadcrumb in a &lt;p id=\"breadcrumb\"&gt;...&lt;/p&gt; tag."
+msgstr ""
+
+msgid "Home"
+msgstr "Домой"
+
+#, php-format
+msgid "page %d"
+msgstr ""
+
+msgid "Archives"
+msgstr "Архивы"
+
+msgid "All tags"
+msgstr "Все теги"
+
+msgid "404"
+msgstr ""
+
 #, fuzzy
 msgid "The configuration has been updated."
@@ -865,4 +898,11 @@
 msgstr "Ссылки"
 
+#, fuzzy
+msgid "External image"
+msgstr "Внешние медиа"
+
+msgid "URL field cannot be empty."
+msgstr ""
+
 msgid "visual"
 msgstr ""
@@ -949,8 +989,4 @@
 
 #, fuzzy
-msgid "External image"
-msgstr "Внешние медиа"
-
-#, fuzzy
 msgid "Remove text formating"
 msgstr "удалить теги"
@@ -1007,7 +1043,4 @@
 msgid "Why don't you blog this now?"
 msgstr "Почему бы не создать пост сейчас?"
-
-msgid "or"
-msgstr "или"
 
 msgid "visit your dashboard"
@@ -1275,4 +1308,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 msgid "This task has never been executed."
@@ -1288,4 +1322,5 @@
 msgstr[0] ""
 msgstr[1] ""
+msgstr[2] ""
 
 #, fuzzy
@@ -1652,13 +1687,25 @@
 
 #, fuzzy
+msgid "Item description"
+msgstr "Нет описания"
+
+#, fuzzy
+msgid "Displayed in link"
+msgstr "Удалить этот тег"
+
+#, fuzzy
+msgid "Used as link title"
+msgstr "Нет такой ссылки ли заголовка"
+
+msgid "Displayed in link and used as title"
+msgstr ""
+
+msgid "Not displayed nor used"
+msgstr ""
+
+#, fuzzy
 msgid "All months"
 msgstr "Все теги"
 
-msgid "All tags"
-msgstr "Все теги"
-
-msgid "Home"
-msgstr "Домой"
-
 #, fuzzy
 msgid "Archive"
@@ -1691,7 +1738,4 @@
 msgid "Recent Posts from this category"
 msgstr ""
-
-msgid "Archives"
-msgstr "Архивы"
 
 #, fuzzy, php-format
@@ -1811,4 +1855,25 @@
 msgid "No menu items so far."
 msgstr ""
+
+msgid "This tag's comments Atom feed"
+msgstr "Лента новостей Atom для комментариев этого тега"
+
+msgid "This tag's entries Atom feed"
+msgstr "Лента новостей Atom записей с этим тегом"
+
+msgid "Tag"
+msgstr "Тег"
+
+msgid "Limit (empty means no limit):"
+msgstr "Лимит (нет предела при пустом поле)"
+
+msgid "Entries count"
+msgstr "Количество записей"
+
+msgid "Tag name"
+msgstr "Название тега"
+
+msgid "Link to all tags:"
+msgstr "Ссылка на все теги"
 
 msgid "Add tags"
@@ -1823,4 +1888,5 @@
 msgstr[0] "Тег успешно удален"
 msgstr[1] "Тег успешно удален"
+msgstr[2] ""
 
 #, fuzzy
@@ -1862,4 +1928,5 @@
 msgstr[0] "Тег успешно удален"
 msgstr[1] "Тег успешно удален"
+msgstr[2] ""
 
 msgid "No tags for selected entries"
@@ -1873,7 +1940,4 @@
 msgstr "Следующие теги  были найдены в выбранных записях:"
 
-msgid "Tag"
-msgstr "Тег"
-
 #, fuzzy
 msgid "Short"
@@ -1886,22 +1950,4 @@
 msgid "Tags list format:"
 msgstr "Формат списка тегов:"
-
-msgid "This tag's comments Atom feed"
-msgstr "Лента новостей Atom для комментариев этого тега"
-
-msgid "This tag's entries Atom feed"
-msgstr "Лента новостей Atom записей с этим тегом"
-
-msgid "Limit (empty means no limit):"
-msgstr "Лимит (нет предела при пустом поле)"
-
-msgid "Entries count"
-msgstr "Количество записей"
-
-msgid "Tag name"
-msgstr "Название тега"
-
-msgid "Link to all tags:"
-msgstr "Ссылка на все теги"
 
 msgid "Tag has been successfully renamed"
@@ -1936,5 +1982,11 @@
 msgstr "Редактирования файла %s"
 
+msgid "Syntax highlighting"
+msgstr ""
+
 msgid "Syntax highlighting in theme editor"
+msgstr ""
+
+msgid "Theme:"
 msgstr ""
 
@@ -2040,4 +2092,7 @@
 msgstr "Поиск"
 
+msgid "Placeholder (HTML5 only, optional):"
+msgstr ""
+
 msgid "Navigation links"
 msgstr "Навигационные ссылки"
@@ -2215,4 +2270,10 @@
 msgstr ""
 
+#~ msgid "URL"
+#~ msgstr "URL"
+
+#~ msgid "or"
+#~ msgstr "или"
+
 #~ msgid "Settings definition successfully updated"
 #~ msgstr "Настройки успешно обновлены"
@@ -2341,7 +2402,4 @@
 #~ msgstr "ID виджета"
 
-#~ msgid "Setting name"
-#~ msgstr "Название настройки"
-
 #~ msgid "Setting value"
 #~ msgstr "Значение параметра"
Index: locales/ru/public.po
===================================================================
--- locales/ru/public.po	(revision 2832)
+++ locales/ru/public.po	(revision 3272)
@@ -7,12 +7,13 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-10-13 05:22+0200\n"
-"PO-Revision-Date: 2011-04-12 18:58+0200\n"
-"Last-Translator: Ihar <chi27@open.by>\n"
+"PO-Revision-Date: 2016-07-18 15:52+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
 "Language-Team: \n"
-"Language: \n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: French\n"
+"X-Generator: Poedit 1.8.8\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 msgid "To content"